<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>ch.ethz.matsim</groupId>
	<artifactId>ch_pt_utils</artifactId>
	<version>1.0.3</version>

	<properties>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
	</properties>

	<repositories>
		<repository>
			<id>XypronRelease</id>
			<name>Xypron Release</name>
			<url>https://www.xypron.de/repository</url>
			<layout>default</layout>
		</repository>
		<repository>
			<id>osgeo</id>
			<name>Geotools repository</name>
			<url>http://download.osgeo.org/webdav/geotools</url>
		</repository>
		<repository>
			<id>matsim</id>
			<url>http://dl.bintray.com/matsim/matsim</url>
		</repository>
		<repository>
			<id>bintray-schweizerischebundesbahnen-simba.mvn</id>
			<url>https://schweizerischebundesbahnen.bintray.com/simba.mvn</url>
		</repository>
		<repository>
			<id>bintray-matsim-eth-matsim</id>
			<name>bintray</name>
			<url>https://dl.bintray.com/matsim-eth/matsim</url>
		</repository>
	</repositories>

	<distributionManagement>
		<repository>
			<id>matsim-eth</id>
			<url>https://api.bintray.com/maven/matsim-eth/matsim/ch_pt_utils/;publish=1</url>
		</repository>
	</distributionManagement>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<version>3.0.2</version>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-source-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

	<profiles>
		<profile>
			<id>standalone</id>
			<build>
				<plugins>
					<plugin>
						<groupId>org.apache.maven.plugins</groupId>
						<artifactId>maven-shade-plugin</artifactId>
						<version>3.2.0</version>
						<executions>
							<execution>
								<phase>package</phase>
								<goals>
									<goal>shade</goal>
								</goals>
								<configuration>
									<transformers>
										<transformer
											implementation="org.apache.maven.plugins.shade.resource.ServicesResourceTransformer" />
									</transformers>
								</configuration>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>

	<dependencies>
		<dependency>
			<groupId>de.grundid.opendatalab</groupId>
			<artifactId>geojson-jackson</artifactId>
			<version>1.8.1</version>
		</dependency>

		<dependency>
			<groupId>org.gnu.glpk</groupId>
			<artifactId>glpk-java</artifactId>
			<version>1.12.0</version>
		</dependency>

		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
			<version>2.4.2</version>
		</dependency>

		<dependency>
			<groupId>ch.sbb</groupId>
			<artifactId>matsim-sbb-extensions</artifactId>
			<version>0.10.2</version>
		</dependency>

		<dependency>
			<groupId>ch.ethz.matsim</groupId>
			<artifactId>baseline_scenario</artifactId>
			<version>0.2.1</version>
		</dependency>

		<dependency>
			<groupId>org.matsim</groupId>
			<artifactId>matsim</artifactId>
			<version>0.10.1</version>
		</dependency>

		<dependency>
			<groupId>io.javalin</groupId>
			<artifactId>javalin</artifactId>
			<version>2.6.0</version>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-simple</artifactId>
			<version>1.7.25</version>
		</dependency>
	</dependencies>
</project>